Status: Closed Start date: 2009-10-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.5

Description

Issue:

when writing Wiki from OS-X, maybe newline is not recognized correctly.

Incident:

[CASE-1] writeing like this.

h1. MainTitle

h2. SubTitle

 but looks like below AS 'H1' style.

MainTitle

h2. SubTitle

 [CASE-2] good case with additinal newline;

h1. MainTitle

h2. SubTitle

 looks like below AS first line with 'H1' style, and third line with 'H2' style.

MainTitle

SubTitle

 -------------------------

As Is writing

-------------------------

[CASE-1]

MainTitle

h2. SubTitle

[CASE-2]

MainTitle

SubTitle

-------------------------

Environment:

~/redmine/script/about

----------
About your application's environment

Ruby version              1.8.7 (i386-solaris2.11)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /export/home/webadm/redmine-0.8.5

Environment               development

Database adapter          mysql

About your Redmine plugins

Redmine Estimations plugin   0.0.1

Redmine Hudson plugin        1.0.0

Redmine Schedules plugin     0.4.1.5

----------

sqlite3 --version

----------

3.6.7

----------

History

#1 - 2009-10-22 21:12 - Felix Schäfer

I can confirm this behavior with safari 4 on OS X.6 on this redmine, as well as on our r2902 installation.

#2 - 2009-10-24 13:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

It's not a OS-X or Safari issue. You need 2 line breaks after any title.

#3 - 2009-10-24 13:33 - Cin TAKE

Jean-Philippe Lang wrote:

It's not a OS-X or Safari issue. You need 2 line breaks after any title.

 So, are there any way to display Title-line and non-title-line without blank line between ?

#4 - 2009-10-26 14:14 - Felix Schäfer

Cin TAKE wrote:

So, are there any way to display Title-line and non-title-line without blank line between ?

 Well, have a look at the html, it doesn't explicitly render the blank line there is between a h1 and a h2. I think the wiki syntax (which is just textile

markup provided by redcloth) requires an additional blank line after headings so that you can have headings with explicit line-breaks. Please have a

look at the headings syntax for textile for confirmation that this is intended behavior.

#5 - 2009-10-26 14:14 - Felix Schäfer

Cin TAKE wrote:

So, are there any way to display Title-line and non-title-line without blank line between ?

 Well, have a look at the html, it doesn't explicitly render the blank line there is between a h1 and a h2. I think the wiki syntax (which is just textile

markup provided by redcloth) requires an additional blank line after headings so that you can have headings with explicit line-breaks. Please have a

look at the headings syntax for textile for confirmation that this is intended behavior.

Files

2025-05-31 2/3

https://www.redmine.org/projects/redmine/repository/svn/revisions/2902
http://redcloth.org/
http://redcloth.org/textile/page-layout/#headings
http://redcloth.org/
http://redcloth.org/textile/page-layout/#headings
